Retrieve user details
curl --request GET \
--url https://api.example.com/api/users/{id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/users/{id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/users/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/users/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/users/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/users/{id}/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/users/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"email": "jane.doe@example.com",
"full_name": "Jane Doe",
"ip_addresses": [
"203.0.113.42",
"198.51.100.17"
],
"country_code": "US",
"state": "CA",
"postcode": "94105",
"kyc_verified": "verified",
"city": "San Francisco",
"address_1": "123 Market Street",
"address_2": "Suite 500",
"phone": "+1-415-555-0199",
"blocked": false,
"prop_firm": {
"prop_firm_id": "507ede8b-951d-4c38-877a-f242463ce14f",
"prop_firm_name": "Example Firm",
"prop_firm_slug": "example-firm",
"account_count": 42,
"created_at": "2021-06-18T10:42:15Z",
"contact_email": "support@example.com"
},
"user_type": "pro",
"total_accounts_purchased": 12,
"total_active_accounts": 8,
"total_failed_accounts": 4,
"duplicate_group": {
"count": 2,
"emails": [
"jane.doe@example.com",
"jane.alt@example.com"
],
"csv": "jane.doe@example.com,jane.alt@example.com"
},
"trading_status": "enabled",
"entitlements": [
{
"name": "CME Market Data",
"data_level": "l1",
"exchanges": [
"cbot",
"nymex"
],
"status": "AUTHORIZED",
"authorized_at": "2026-03-20T09:15:00Z"
}
]
}Users
Retrieve user details
Returns a single user with annotated account counts.
GET
/
api
/
users
/
{id}
/
Retrieve user details
curl --request GET \
--url https://api.example.com/api/users/{id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/users/{id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/users/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/users/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/users/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/users/{id}/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/users/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"email": "jane.doe@example.com",
"full_name": "Jane Doe",
"ip_addresses": [
"203.0.113.42",
"198.51.100.17"
],
"country_code": "US",
"state": "CA",
"postcode": "94105",
"kyc_verified": "verified",
"city": "San Francisco",
"address_1": "123 Market Street",
"address_2": "Suite 500",
"phone": "+1-415-555-0199",
"blocked": false,
"prop_firm": {
"prop_firm_id": "507ede8b-951d-4c38-877a-f242463ce14f",
"prop_firm_name": "Example Firm",
"prop_firm_slug": "example-firm",
"account_count": 42,
"created_at": "2021-06-18T10:42:15Z",
"contact_email": "support@example.com"
},
"user_type": "pro",
"total_accounts_purchased": 12,
"total_active_accounts": 8,
"total_failed_accounts": 4,
"duplicate_group": {
"count": 2,
"emails": [
"jane.doe@example.com",
"jane.alt@example.com"
],
"csv": "jane.doe@example.com,jane.alt@example.com"
},
"trading_status": "enabled",
"entitlements": [
{
"name": "CME Market Data",
"data_level": "l1",
"exchanges": [
"cbot",
"nymex"
],
"status": "AUTHORIZED",
"authorized_at": "2026-03-20T09:15:00Z"
}
]
}Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
A unique integer value identifying this user.
Response
200 - application/json
Serializer used by the Tickblaze Manager.
Exposes user fields relevant to account oversight.
Maximum string length:
100Self-cert classification: pro when the pro declaration is accepted, otherwise non pro.
Entitlements for the user.
Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
500Maximum string length:
500Maximum string length:
100
